| Flutter Impeller |

Public Member Functions | Static Public Member Functions | List of all members
IMPELLER_HPP_NAMESPACE::Surface Class Referencefinal

`#include <impeller.hpp>`

Inheritance diagram for IMPELLER_HPP_NAMESPACE::Surface:

## Public Member Functions
| Surface (ImpellerSurface surface)
| Surface (ImpellerSurface surface, AdoptTag tag)
bool | Draw (const DisplayList &display_list)
Public Member Functions inherited from IMPELLER_HPP_NAMESPACE::Object< ImpellerSurface, ImpellerSurfaceTraits >
| Object ()=default
| Object (ImpellerSurface object)
| Object (ImpellerSurface object, AdoptTag)
| Object (Object &&other)
| Object (const Object &other)
| ~Object ()
Object & | operator= (Object &&other)
Object & | operator= (const Object &other)
ImpellerSurface | Get () const
| operator bool () const

## Static Public Member Functions
static Surface | WrapFBO (const Context &context, uint64_t fbo, ImpellerPixelFormat format, const ImpellerISize &size)

## Detailed Description

See also
  ImpellerSurface

Definition at line 1113 of file impeller.hpp.

## Constructor & Destructor Documentation

## ◆ Surface() [1/2]

IMPELLER_HPP_NAMESPACE::Surface::Surface | ( | ImpellerSurface | surface | ) |
| inline explicit

Definition at line 1115 of file impeller.hpp.

1115 : Object(surface) {}

Referenced by WrapFBO().

## ◆ Surface() [2/2]

IMPELLER_HPP_NAMESPACE::Surface::Surface | ( | ImpellerSurface | surface,
|  | AdoptTag | tag
| ) |  |
| inline

Definition at line 1117 of file impeller.hpp.

1117 : Object(surface, tag) {}

## Member Function Documentation

## ◆ Draw()

bool IMPELLER_HPP_NAMESPACE::Surface::Draw | ( | const DisplayList & | display_list | ) |
| inline

See also
  ImpellerSurfaceDrawDisplayList

Definition at line 1138 of file impeller.hpp.

1138 {
1139 return gGlobalProcTable.ImpellerSurfaceDrawDisplayList(Get(),
1140 display_list.Get());
1141 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerSurface, ImpellerSurfaceTraits >::Get(), IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ WrapFBO()

static Surface IMPELLER_HPP_NAMESPACE::Surface::WrapFBO | ( | const Context & | context,
|  | uint64_t | fbo,
|  | ImpellerPixelFormat | format,
|  | const ImpellerISize & | size
| ) |  |
| inline static

See also
  ImpellerSurfaceCreateWrappedFBONew

Definition at line 1122 of file impeller.hpp.

1125 {
1126 return Surface(
1127 gGlobalProcTable.ImpellerSurfaceCreateWrappedFBONew(context.Get(), //
1128 fbo, //
1129 format, //
1130 &size //
1131 ),
1132 AdoptTag::kAdopt);
1133 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, IMPELLER_HPP_NAMESPACE::kAdopt, and Surface().

The documentation for this class was generated from the following file:

- impeller/toolkit/interop/impeller.hpp

IMPELLER_HPP_NAMESPACE::gGlobalProcTable
ProcTable gGlobalProcTable
Definition: playground_test.cc:10
IMPELLER_HPP_NAMESPACE::AdoptTag::kAdopt
@ kAdopt
IMPELLER_HPP_NAMESPACE::Object< ImpellerSurface, ImpellerSurfaceTraits >::Get
ImpellerSurface Get() const
Definition: impeller.hpp:234
IMPELLER_HPP_NAMESPACE::Object< ImpellerSurface, ImpellerSurfaceTraits >::Object
Object()=default
IMPELLER_HPP_NAMESPACE::Surface::Surface
Surface(ImpellerSurface surface)
Definition: impeller.hpp:1115